/************************************************************************
 *
 * shuffle.h
 *
 * $Id: shuffle.h,v 1.7 1997/12/07 21:58:16 andrew Exp $
 *
 * Copyright 1996, 1997 Andrew Taylor (ataylor@cadvision.com)
 * redistribute freely with copyright intact
 * no warranty, etc.
 *
 ************************************************************************/

#define MAX_SLOTS 10		/* maximum number of slots  */
#define SHUFFLES 2		/* number of times to shuffle track list */
#define VERSION "1.2"		/* shuffle version number */

/* prototypes */
void init_slots(void);
int open_device(void);
void close_device(void);
int parse_numeric_arg (const char *arg);
void get_cd_info(void);
void select_cd(int n);
void read_tocentry(int track, struct cdrom_tocentry *entry);
void scramble_tracks(void);
void play_tracks(void);
int wait_track (int trackno);
void sig_handler(int sig);


